# Class FileExtensions

java.lang.Object
htsjdk.samtools.util.FileExtensions

public final class FileExtensions extends Object
Contains file extension constants for read, alignment, variant and annotation files

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BAI_INDEX`
`static final String`
`BAM`
`static final String`
`BCF`
`static final String`
`BED`
`static final Set<String>`
`BLOCK_COMPRESSED`
`static final String`
`COMPRESSED_INTERVAL_LIST`
`static final String`
`COMPRESSED_VCF`
`static final String`
`COMPRESSED_VCF_BGZ`
`static final String`
`COMPRESSED_VCF_INDEX`
`static final String`
`CRAM`
`static final String`
`CRAM_INDEX`
`static final String`
`CSI`
`static final String`
`DICT`
`static final Set<String>`
`FASTA`
extensions for read files and related formats.
`static final String`
`FASTA_INDEX`
`static final Set<String>`
`GFF3`
`static final String`
`GZI`
`static final String`
`INTERVAL_LIST`
`static final String`
`MD5`
`static final String`
`SAM`
extensions for alignment files SAM, BAM, CRAM.
`static final String`
`SBI`
`static final String`
`TABIX_INDEX`
`static final String`
`TRIBBLE_INDEX`
`static final String`
`VCF`
extensions for VCF files and related formats.
`static final String`
`VCF_INDEX`
`static final List<String>`
`VCF_LIST`

## Constructor Summary

Constructors
Constructor
Description
`FileExtensions()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FASTA

public static final Set<String> FASTA
extensions for read files and related formats.

### FASTA_INDEX

public static final String FASTA_INDEX

See Also:
  - Constant Field Values

### SAM

public static final String SAM
extensions for alignment files SAM, BAM, CRAM.

See Also:
  - Constant Field Values

### BAM

public static final String BAM

See Also:
  - Constant Field Values

### BAI_INDEX

public static final String BAI_INDEX

See Also:
  - Constant Field Values

### CRAM

public static final String CRAM

See Also:
  - Constant Field Values

### CRAM_INDEX

public static final String CRAM_INDEX

See Also:
  - Constant Field Values

### BED

public static final String BED

See Also:
  - Constant Field Values

### TABIX_INDEX

public static final String TABIX_INDEX

See Also:
  - Constant Field Values

### TRIBBLE_INDEX

public static final String TRIBBLE_INDEX

See Also:
  - Constant Field Values

### VCF

public static final String VCF
extensions for VCF files and related formats.

See Also:
  - Constant Field Values

### VCF_INDEX

public static final String VCF_INDEX

See Also:
  - Constant Field Values

### BCF

public static final String BCF

See Also:
  - Constant Field Values

### COMPRESSED_VCF_BGZ

public static final String COMPRESSED_VCF_BGZ

See Also:
  - Constant Field Values

### COMPRESSED_VCF

public static final String COMPRESSED_VCF

See Also:
  - Constant Field Values

### COMPRESSED_VCF_INDEX

public static final String COMPRESSED_VCF_INDEX

See Also:
  - Constant Field Values

### VCF_LIST

public static final List<String> VCF_LIST

### INTERVAL_LIST

public static final String INTERVAL_LIST

See Also:
  - Constant Field Values

### COMPRESSED_INTERVAL_LIST

public static final String COMPRESSED_INTERVAL_LIST

See Also:
  - Constant Field Values

### DICT

public static final String DICT

See Also:
  - Constant Field Values

### GZI

public static final String GZI

See Also:
  - Constant Field Values

### SBI

public static final String SBI

See Also:
  - Constant Field Values

### CSI

public static final String CSI

See Also:
  - Constant Field Values

### MD5

public static final String MD5

See Also:
  - Constant Field Values

### BLOCK_COMPRESSED

public static final Set<String> BLOCK_COMPRESSED

### GFF3

public static final Set<String> GFF3

## Constructor Details

### FileExtensions

public FileExtensions()